﻿.digital-asset-manager {
  position: relative;
  border: 1px solid #eee;
}
.digital-asset-manager .digital-assets {
  height: 300px;
  padding: 10px 5px 5px 5px;
  margin: 0;
  list-style-type: none;
  overflow-x: hidden;
  overflow-y: auto;
}
.digital-asset-manager .digital-assets.grid {
  padding: 10px 5px 0 5px;
}
.digital-asset-manager .digital-assets.grid .digital-asset {
  width: 25%;
  margin-bottom: 10px;
  float: left;
}
.digital-asset-manager .digital-assets.grid .digital-asset .digital-asset-inner {
  height: 100px;
  padding: 10px;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}
.digital-asset-manager .digital-assets.grid .digital-asset .digital-asset-inner .asset-name {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
}
.digital-asset-manager .digital-assets.grid .digital-asset .digital-asset-inner > i.fa {
  font-size: 32px;
  background-color: #fff;
}
.digital-asset-manager .digital-assets.list .digital-asset .digital-asset-inner {
  background-image: none !important;
}
.digital-asset-manager .digital-assets .digital-asset {
  width: 100%;
  padding: 0 5px;
  margin-bottom: 5px;
}
.digital-asset-manager .digital-assets .digital-asset .digital-asset-inner {
  padding: 0 10px;
  position: relative;
  border: 3px solid #fff;
  cursor: pointer;
  background-color: #fff;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.6);
  font-size: 10px;
  text-overflow: ellipsis;
}
.digital-asset-manager .digital-assets .digital-asset .digital-asset-inner[disabled] {
  opacity: 0;
}
.digital-asset-manager .digital-assets .digital-asset .digital-asset-inner.selected-asset {
  border: 2px solid #000;
}
.digital-asset-manager .digital-assets .digital-asset .digital-asset-inner .asset-name {
  width: 100%;
  padding-left: 10px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  font-size: 12px;
}
.digital-asset-manager input[type=text].txt-folder-path {
  width: 100%;
  border: none;
  border-top: 1px solid #eee;
  margin: 0;
  box-shadow: none;
  padding: 8px 60px 8px 8px;
  line-height: 24px;
}
.digital-asset-manager .view-options {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 8px;
  line-height: 24px;
}
.digital-asset-manager .view-options i.fa {
  cursor: pointer;
}
.gallery .swiper-container {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
.gallery .swiper-slide {
  text-align: center;
  background-color: #000;
  height: 100%;
}
.gallery .swiper-slide .swiper-slide-inner {
  display: table;
  width: 100%;
  table-layout: fixed;
}
.gallery .swiper-slide .swiper-slide-inner .gallery-image-wrapper {
  display: table-row;
}
.gallery .swiper-slide .swiper-slide-inner .gallery-image-wrapper .gallery-image {
  display: table-cell;
  text-align: center;
  vertical-align: middle;
}
.gallery .swiper-slide .swiper-slide-inner .gallery-image-wrapper .gallery-image img {
  max-height: 100%;
}
.gallery .gallery-main .gallery-nav-button {
  position: absolute;
  top: 50%;
  margin-top: -30px;
  color: #fff;
  font-size: 60px;
  z-index: 1;
  cursor: pointer;
}
.gallery .gallery-main .gallery-nav-button.gallery-next-button {
  right: 0;
}
.gallery .gallery-main .gallery-nav-button.gallery-prev-button {
  left: 0;
}
.gallery .gallery-main .gallery-nav-button.swiper-button-disabled {
  cursor: default;
  opacity: 0.6;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=60)";
  filter: alpha(opacity=60);
}
.gallery .gallery-thumbs {
  box-sizing: border-box;
  margin: 10px 0 0 0;
}
.gallery .gallery-thumbs .swiper-slide {
  width: 25%;
  opacity: 0.4;
}
.gallery .gallery-thumbs .swiper-slide-active {
  opacity: 1;
}
#galleryApp.gallery-app {
  display: none;
}
#galleryApp.gallery-app .gallery-images .gallery-image {
  height: 100px;
  webkit-box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.6);
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.6);
  border: 1px solid #fff;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
}
#galleryApp.gallery-app .gallery-images .gallery-image.selected-gallery-image {
  border: 1px solid #000;
}